﻿using AbstractLawFirmDataBaseImplement.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Reflection.Metadata;
using System.Text;
using System.Threading.Tasks;

namespace AbstractLawFirmDataBaseImplement.Models
{
    public class DocumentComponent
    {
        public int Id { get; set; }
        [Required]
        public int DocumentId { get; set; }
        [Required]
        public int ComponentId { get; set; }
        [Required]
        public int Count { get; set; }
        public virtual Component Component { get; set; } = new();
        public virtual Document Document { get; set; } = new();
    }
}
